Package org.apache.calcite.avatica.util

# Class AbstractCursor.SlotGetter

java.lang.Object
org.apache.calcite.avatica.util.AbstractCursor.SlotGetter

All Implemented Interfaces:
  `AbstractCursor.Getter`

Enclosing class:
  AbstractCursor

public class AbstractCursor.SlotGetter extends Object implements AbstractCursor.Getter
Implementation of `AbstractCursor.Getter` that returns the current contents of a mutable slot.

## Field Summary

Fields
Modifier and Type
Field
Description
`Object`
`slot`

## Constructor Summary

Constructors
Constructor
Description
`SlotGetter()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`
`boolean`
`wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### slot

public Object slot

## Constructor Details

### SlotGetter

public SlotGetter()

## Method Details

### getObject

public Object getObject() throws SQLException

Specified by:
  `getObject` in interface `AbstractCursor.Getter`
Throws:
  `SQLException`

### wasNull

public boolean wasNull() throws SQLException

Specified by:
  `wasNull` in interface `AbstractCursor.Getter`
Throws:
  `SQLException`